<?php

if ( !class_exists( 'SLP_Option' ) ) :

	require_once( SLPLUS_PLUGINDIR . 'include/base_class.object.php' );

    /**
     * Class SLP_Option
     *
     * A smarter SLPlus option object.
     *
     * @package   StoreLocatorPlus\Option
     * @author    Lance Cleveland <lance@charlestonsw.com>
     * @copyright 2016 Charleston Software Associates, LLC
     *
     * @property    null||callback  $call_when_changed    the function to call when the value changes - gets $key, $old_value, $new_value as parameters - executed with ->execute_change_callbacks
     * @property    mixed           $default_if_empty     default value if empty
     * @property    boolean         $is_text              true if a gettext translatable string
     * @property    string          $slug                 the slug
     * @property    boolean         $use_in_javascript    use in javascript (true: gets localized in localize_script)
     * @property    mixed           $value                current value of option
     *
     * @since     4.5.09
     */
    class SLP_Option extends SLPlus_BaseClass_Object {
    	public $call_when_changed = null;
        public $default_if_empty = '';
        public $is_text = false;
        public $slug;
        public $use_in_javascript = false;
	    public $value;
    }

endif;